import { Component, OnInit, Input } from "@angular/core";
import { Router } from '@angular/router';

@Component({
  selector: "app-search-datatable",
  templateUrl: "./search-datatable.component.html",
  styleUrls: ["./search-datatable.component.scss"]
})
export class SearchDatatableComponent implements OnInit {

  @Input() items;

  constructor(
    private router: Router
  ) {}

  ngOnInit() {}

  editRow() {
    console.log('edit');
  }

  navigateToSummaryPage(id:string) {
    this.router.navigate(['/carsummary/'+id]);
  }
}
